Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7716 - /etc/gtk/gtkrc get tooltips wrong
Summary: /etc/gtk/gtkrc get tooltips wrong
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gtk+
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-09 23:46 UTC by lp.brais
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 16:19:23 UTC


Attachments (Terms of Use)

Description lp.brais 1999-12-09 23:46:40 UTC
The file /etc/gtk/gtkrc, bundled in the SRPM for gtk+, causes GTK tooltips
to be incorrectly displayed in some cases.

It would be best if a suitable foreground color (such as black) would be
assigned along with the background

  bg[NORMAL] = "#ffffc0"

present in this file.  The problem occurs if fg[NORMAL] is redefined for a
broader subset of widgets to some very light color (such as white) in the
per-user gtkrc file.  The end result is then white on light yellow, which
is unreadable.

This is also a problem in updated gtk+-1.2.6-1 from the 6.1 errata.

Comment 1 Owen Taylor 2000-02-04 16:19:59 UTC
I've now set bg[NORMAL] to black in the current package. I'm
not completely happy with this fix, since it

 a) tooltips will be black/yellow in all cases
 b) tooltips with pixmap backgrounds may not display properly

But it is about as good as can be done easily. (The right approach
is possibly to have a "default" theme, which read only if
another theme isn't read.)


Note You need to log in before you can comment on or make changes to this bug.